View Issue Details

IDProjectCategoryView StatusLast Update
0032655Open CASCADEOCCT:Configurationpublic2021-12-13 14:56
Reporterkgv Assigned Toinv  
PrioritynormalSeveritytrivial 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.7.0 
Summary0032655: Configuration, qmake - add missing CSF_Draco
DescriptionCSF_Draco is undefined in adm/qmake/OccToolkit.pri leading to linkage errors with HAVE_DRACO=true.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

child of 0032525 closedbugmaster Data Exchange, RWGltf_CafReader - support KHR_draco_mesh_compression 
child of 0032323 closedbugmaster Configuration - drop unused dependency from Xmu 

Activities

git

2021-11-10 14:21

administrator   ~0105082

Branch CR32655 has been created by kgv.

SHA-1: 667c540d39fb001c650d86e0b961401359395c65


Detailed log of new commits:

Author: kgv
Date: Wed Nov 10 14:21:02 2021 +0300

    0032655: Configuration, qmake - add missing CSF_Draco

git

2021-11-10 14:35

administrator   ~0105083

Branch CR32655 has been updated forcibly by kgv.

SHA-1: 53ef3dac45986206b99984d6818006e5c61610a7

kgv

2021-11-10 14:36

developer   ~0105084

Pleases raise the tweak
- OCCT: branch CR32655.

bugmaster

2021-11-21 12:32

administrator   ~0105295

Combination -
OCCT branch : IR-2021-11-19
master SHA - ea0ffd6efe2e05d9764495fa0a877ab75ab5f4e9
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-11-19 SHA - 24ac02cc67913557271bc70687b86b53e78f9c44
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17763.090000000444 / 17742.320000000425 [+0.12%]
Products
Total CPU difference: 11658.550000000125 / 11669.660000000133 [-0.10%]
Windows-64-VC14:
OCCT
Total CPU difference: 19745.71875 / 19762.140625 [-0.08%]
Products
Total CPU difference: 13066.0625 / 12843.21875 [+1.74%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-13 14:56

administrator   ~0105886

Branch CR32655 has been deleted by kgv.

SHA-1: 53ef3dac45986206b99984d6818006e5c61610a7

Related Changesets

occt: master e77bcb6b

2021-11-10 11:21:02

kgv


Committer: inv Details Diff
0032655: Configuration, qmake - add missing CSF_Draco

Added CSF_Draco to OccToolkit.pri.
Removed libXmu.so search from genconf.
Affected Issues
0032655
mod - adm/genconfdeps.tcl Diff File
mod - adm/qmake/OccToolkit.pri Diff File
mod - dox/build/build_3rdparty/building_3rdparty.md Diff File

Issue History

Date Modified Username Field Change
2021-11-10 14:20 kgv New Issue
2021-11-10 14:20 kgv Assigned To => kgv
2021-11-10 14:21 git Note Added: 0105082
2021-11-10 14:22 kgv Relationship added child of 0032525
2021-11-10 14:22 kgv Severity minor => trivial
2021-11-10 14:22 kgv Test case number => N/A
2021-11-10 14:35 git Note Added: 0105083
2021-11-10 14:35 kgv Relationship added child of 0032323
2021-11-10 14:36 kgv Note Added: 0105084
2021-11-10 14:36 kgv Assigned To kgv => bugmaster
2021-11-10 14:36 kgv Status new => resolved
2021-11-10 14:37 kgv Status resolved => reviewed
2021-11-21 12:27 bugmaster Status reviewed => tested
2021-11-21 12:32 bugmaster Note Added: 0105295
2021-11-21 12:46 inv Changeset attached => occt master e77bcb6b
2021-11-21 12:46 inv Assigned To bugmaster => inv
2021-11-21 12:46 inv Status tested => verified
2021-11-21 12:46 inv Resolution open => fixed
2021-12-13 14:56 git Note Added: 0105886